import { TolgeeKey } from '../../types';
import { writeAlsoFemaleTranslation } from '../translation';

export const writeBook = (tolgeeKey: TolgeeKey): string => {
	let luaRecord = '';
	luaRecord += `addon.data.book["${tolgeeKey.keyName}"] = {\n`;
	luaRecord += writeAlsoFemaleTranslation(tolgeeKey.translations);
	luaRecord += `}\n`;
	return luaRecord;
};
